=== debian/control ===
Source: ros-melodic-rdl-urdfreader
Section: misc
Priority: extra
Maintainer: jordan <jlack1987@gmail.com>
Build-Depends: debhelper (>= 9.0.0), lcov, libgtest-dev, ros-melodic-catkin, ros-melodic-rdl-cmake, ros-melodic-rdl-dynamics, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rdl-urdfreader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rdl-cmake, ros-melodic-rdl-dynamics, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-urdf
Description: The rdl_urdfreader package
